PY3=/usr/bin/python ./vinstall.sh
-It should also write a vlaunch sh wrapper to run sima within the virtualenv.
+It should also write a shell wrapper to run mpd-sima within the virtualenv.
- ./vlaunch --help
+ ./vmpd-sima --help
pip $PIP_OPTIONS install --pre python-musicpd || exit 1
+echo Installing mpd-siuma
+$(dirname $0)/setup.py --quiet install || exit 1
+
deactivate
-SIMA_LAUNCHER=$(readlink -f $(dirname $0))/launch
-SIMA_VLAUNCHER=$(readlink -f $(dirname $0))/vlaunch
-[ -x "$SIMA_LAUNCHER" ] || { echo "$SIMA_LAUNCHER not available"; exit 1; }
+SIMA_LAUNCHER=mpd-sima
+SIMA_VLAUNCHER=$(readlink -f $(dirname $0))/vmpd-sima
cat << EOF > $SIMA_VLAUNCHER
#!/bin/sh
. $INSTALL_DIR/venv/bin/activate
-python $SIMA_LAUNCHER "\$@"
+$SIMA_LAUNCHER "\$@"
EOF
chmod +x $SIMA_VLAUNCHER
-echo
+echo
# vim: fileencoding=utf8